Summary: Airfoil GUI for Will Graham lab
Name: cued-airfoil-wrg
Version: 1.2
Release: 2
License: CUED
Group: CUED
Packager: Michael Gray <mjg17@eng.cam.ac.uk>
Provides: cued-airfoil-wrg
Source0: airfoil-wrg-%{version}.tgz
Buildroot: %{_tmppath}/%{name}-%{version}-build
AutoReqProv: no
Requires: cued-dpo-links gdome2-devel gtk-devel glib-devel

%description
Airfoil GUI for use in Will Graham's lab

%prep
%setup -c

%build
make

%install
#rm -rf $RPM_BUILD_ROOT

install -D airfoil-wrg $RPM_BUILD_ROOT/usr/local/bin/airfoil-wrg
install -D air-convert $RPM_BUILD_ROOT/usr/local/bin/air-convert

install -D libnfoil.a $RPM_BUILD_ROOT/usr/local/lib64/libnfoil.a
install -D libnfoil.so.0.1 $RPM_BUILD_ROOT/usr/local/lib64/libnfoil.so.0.1
pushd $RPM_BUILD_ROOT/usr/local/lib64
ln -s libnfoil.so.0.1 libnfoil.so.0
ln -s libnfoil.so.0 libnfoil.so
popd

pushd fortran
for i in rsu rsc rus
do
	install -D $i $RPM_BUILD_ROOT/usr/local/lib64/airfoil-wrg/$i
done
popd

%files
%defattr(-,root,root)
/usr/local/bin/airfoil-wrg
/usr/local/bin/air-convert

/usr/local/lib64/libnfoil.a
/usr/local/lib64/libnfoil.so
/usr/local/lib64/libnfoil.so.0
/usr/local/lib64/libnfoil.so.0.1

/usr/local/lib64/airfoil-wrg/rsu
/usr/local/lib64/airfoil-wrg/rsc
/usr/local/lib64/airfoil-wrg/rus

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

# EOF
